Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Timer

    java.lang.Object
      net.minecraft.src.Timer

    public class Timer

extends Object

Field Summary
`float` | `elapsedPartialTicks` How much time has elapsed since the last tick, in ticks (range: 0.0 - 1.0).
`int` | `elapsedTicks` How many full ticks have turned over since the last call to updateTimer(), capped at 10.
`float` | `renderPartialTicks` How much time has elapsed since the last tick, in ticks, for use by display rendering routines (range: 0.0 - 1.0).
`float` | `timerSpeed` A multiplier to make the timer (and therefore the game) go faster or slower.

Constructor Summary
`Timer(float par1)`

Method Summary
`void` | `updateTimer()` Updates all fields of the Timer using the current time

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elapsedTicks

    public int elapsedTicks

  How many full ticks have turned over since the last call to updateTimer(), capped at 10.

### renderPartialTicks

    public float renderPartialTicks

  How much time has elapsed since the last tick, in ticks, for use by display rendering routines (range: 0.0 - 1.0). This field is frozen if the display is paused to eliminate jitter.

### timerSpeed

    public float timerSpeed

  A multiplier to make the timer (and therefore the game) go faster or slower. 0.5 makes the game run at half- speed.

### elapsedPartialTicks

    public float elapsedPartialTicks

  How much time has elapsed since the last tick, in ticks (range: 0.0 - 1.0).

Constructor Detail

### Timer

    public Timer(float par1)

Method Detail

### updateTimer

    public void updateTimer()

  Updates all fields of the Timer using the current time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD